Class Client_v0_3
java.lang.Object
org.a2aproject.sdk.compat03.client.AbstractClient_v0_3
org.a2aproject.sdk.compat03.client.Client_v0_3
-
Method Summary
Modifier and TypeMethodDescriptionstatic ClientBuilder_v0_3builder(AgentCard_v0_3 agentCard) cancelTask(TaskIdParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Request the agent to cancel a specific task.voidclose()Close the transport and release any associated resources.voiddeleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Delete the list of push notification configurations for a specific task.getAgentCard(@Nullable ClientCallContext_v0_3 context) Retrieve the AgentCard.getTask(TaskQueryParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Retrieve the current state and history of a specific task.getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Retrieve the push notification configuration for a specific task.listTaskPushNotificationConfigurations(ListTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Retrieve the list of push notification configurations for a specific task.voidresubscribe(TaskIdParams_v0_3 request, @Nullable List<BiConsumer<ClientEvent_v0_3, AgentCard_v0_3>> consumers, @Nullable Consumer<Throwable> streamingErrorHandler, @Nullable ClientCallContext_v0_3 context) Resubscribe to a task's event stream.voidresubscribe(TaskIdParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) Resubscribe to a task's event stream.voidsendMessage(Message_v0_3 request, List<BiConsumer<ClientEvent_v0_3, AgentCard_v0_3>> consumers, Consumer<Throwable> streamingErrorHandler, @Nullable ClientCallContext_v0_3 context) Send a message to the remote agent.voidsendMessage(Message_v0_3 request, @Nullable ClientCallContext_v0_3 context) Send a message to the remote agent.voidsendMessage(Message_v0_3 request, PushNotificationConfig_v0_3 pushNotificationConfiguration, Map<String, Object> metatadata, @Nullable ClientCallContext_v0_3 context) Send a message to the remote agent.setTaskPushNotificationConfiguration(TaskPushNotificationConfig_v0_3 request, @Nullable ClientCallContext_v0_3 context) Set or update the push notification configuration for a specific task.Methods inherited from class AbstractClient_v0_3
cancelTask, deleteTaskPushNotificationConfigurations, getAgentCard, getStreamingErrorHandler, getTask, getTaskPushNotificationConfiguration, listTaskPushNotificationConfigurations, resubscribe, resubscribe, sendMessage, sendMessage, sendMessage, setTaskPushNotificationConfiguration
-
Method Details
-
builder
-
sendMessage
public void sendMessage(Message_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Send a message to the remote agent. This method will automatically use the streaming or non-streaming approach as determined by the server's agent card and the client configuration. The configured client consumers will be used to handle messages, tasks, and update events received from the remote agent. The configured streaming error handler will be used if an error occurs during streaming. The configured client push notification configuration will get used for streaming.- Specified by:
sendMessagein classAbstractClient_v0_3- Parameters:
request- the messagecontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if sending the message fails for any reason
-
sendMessage
public void sendMessage(Message_v0_3 request, List<BiConsumer<ClientEvent_v0_3, AgentCard_v0_3>> consumers, Consumer<Throwable> streamingErrorHandler, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Send a message to the remote agent. This method will automatically use the streaming or non-streaming approach as determined by the server's agent card and the client configuration. The specified client consumers will be used to handle messages, tasks, and update events received from the remote agent. The specified streaming error handler will be used if an error occurs during streaming. The configured client push notification configuration will get used for streaming.- Specified by:
sendMessagein classAbstractClient_v0_3- Parameters:
request- the messageconsumers- a list of consumers to pass responses from the remote agent tostreamingErrorHandler- an error handler that should be used for the streaming case if an error occurscontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if sending the message fails for any reason
-
sendMessage
public void sendMessage(Message_v0_3 request, PushNotificationConfig_v0_3 pushNotificationConfiguration, Map<String, Object> metatadata, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3Description copied from class:AbstractClient_v0_3Send a message to the remote agent. This method will automatically use the streaming or non-streaming approach as determined by the server's agent card and the client configuration. The configured client consumers will be used to handle messages, tasks, and update events received from the remote agent. The configured streaming error handler will be used if an error occurs during streaming.- Specified by:
sendMessagein classAbstractClient_v0_3- Parameters:
request- the messagepushNotificationConfiguration- the push notification configuration that should be used if the streaming approach is usedmetatadata- the optional metadata to include when sending the messagecontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if sending the message fails for any reason
-
getTask
public Task_v0_3 getTask(TaskQueryParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Retrieve the current state and history of a specific task.- Specified by:
getTaskin classAbstractClient_v0_3- Parameters:
request- the task query parameters specifying which task to retrievecontext- optional client call context for the request (may benull)- Returns:
- the task
- Throws:
A2AClientException_v0_3- if retrieving the task fails for any reason
-
cancelTask
public Task_v0_3 cancelTask(TaskIdParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Request the agent to cancel a specific task.- Specified by:
cancelTaskin classAbstractClient_v0_3- Parameters:
request- the task ID parameters specifying which task to cancelcontext- optional client call context for the request (may benull)- Returns:
- the cancelled task
- Throws:
A2AClientException_v0_3- if cancelling the task fails for any reason
-
setTaskPushNotificationConfiguration
public TaskPushNotificationConfig_v0_3 setTaskPushNotificationConfiguration(TaskPushNotificationConfig_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Set or update the push notification configuration for a specific task.- Specified by:
setTaskPushNotificationConfigurationin classAbstractClient_v0_3- Parameters:
request- the push notification configuration to set for the taskcontext- optional client call context for the request (may benull)- Returns:
- the configured TaskPushNotificationConfig
- Throws:
A2AClientException_v0_3- if setting the task push notification configuration fails for any reason
-
getTaskPushNotificationConfiguration
public TaskPushNotificationConfig_v0_3 getTaskPushNotificationConfiguration(GetTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Retrieve the push notification configuration for a specific task.- Specified by:
getTaskPushNotificationConfigurationin classAbstractClient_v0_3- Parameters:
request- the parameters specifying which task's notification config to retrievecontext- optional client call context for the request (may benull)- Returns:
- the task push notification config
- Throws:
A2AClientException_v0_3- if getting the task push notification config fails for any reason
-
listTaskPushNotificationConfigurations
public List<TaskPushNotificationConfig_v0_3> listTaskPushNotificationConfigurations(ListTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Retrieve the list of push notification configurations for a specific task.- Specified by:
listTaskPushNotificationConfigurationsin classAbstractClient_v0_3- Parameters:
request- the parameters specifying which task's notification configs to retrievecontext- optional client call context for the request (may benull)- Returns:
- the list of task push notification configs
- Throws:
A2AClientException_v0_3- if getting the task push notification configs fails for any reason
-
deleteTaskPushNotificationConfigurations
public void deleteTaskPushNotificationConfigurations(DeleteTaskPushNotificationConfigParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Delete the list of push notification configurations for a specific task.- Specified by:
deleteTaskPushNotificationConfigurationsin classAbstractClient_v0_3- Parameters:
request- the parameters specifying which task's notification configs to deletecontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if deleting the task push notification configs fails for any reason
-
resubscribe
public void resubscribe(TaskIdParams_v0_3 request, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Resubscribe to a task's event stream. This is only available if both the client and server support streaming. The configured client consumers will be used to handle messages, tasks, and update events received from the remote agent. The configured streaming error handler will be used if an error occurs during streaming.- Specified by:
resubscribein classAbstractClient_v0_3- Parameters:
request- the parameters specifying which task's notification configs to deletecontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if resubscribing fails for any reason
-
resubscribe
public void resubscribe(TaskIdParams_v0_3 request, @Nullable List<BiConsumer<ClientEvent_v0_3, AgentCard_v0_3>> consumers, @Nullable Consumer<Throwable> streamingErrorHandler, @Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Resubscribe to a task's event stream. This is only available if both the client and server support streaming. The specified client consumers will be used to handle messages, tasks, and update events received from the remote agent. The specified streaming error handler will be used if an error occurs during streaming.- Specified by:
resubscribein classAbstractClient_v0_3- Parameters:
request- the parameters specifying which task's notification configs to deleteconsumers- a list of consumers to pass responses from the remote agent tostreamingErrorHandler- an error handler that should be used for the streaming case if an error occurscontext- optional client call context for the request (may benull)- Throws:
A2AClientException_v0_3- if resubscribing fails for any reason
-
getAgentCard
public AgentCard_v0_3 getAgentCard(@Nullable ClientCallContext_v0_3 context) throws A2AClientException_v0_3 Description copied from class:AbstractClient_v0_3Retrieve the AgentCard.- Specified by:
getAgentCardin classAbstractClient_v0_3- Parameters:
context- optional client call context for the request (may benull)- Returns:
- the AgentCard
- Throws:
A2AClientException_v0_3- if retrieving the agent card fails for any reason
-
close
public void close()Description copied from class:AbstractClient_v0_3Close the transport and release any associated resources.- Specified by:
closein classAbstractClient_v0_3
-